SCSI_KMAP_ATOMIC_SG(9)

NAME
scsi_kmap_atomic_sg - find and atomically map an sg-elemnt

SYNOPSIS

void * scsi_kmap_atomic_sg(struct scatterlist * sgl, int sg_count, size_t * offset, size_t * len);

ARGUMENTS

sgl
    scatter-gather list

sg_count
    number of segments in sg

offset
    offset in bytes into sg, on return offset into the mapped area

len
    bytes to map, on return number of bytes mapped

DESCRIPTION

Returns virtual address of the start of the mapped page

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT